function AISMN_CheckForThreat::OnEnter(%this,%obj)
{
   return;
}

function AISMN_CheckForThreat::OnExit(%this,%obj)
{
   return;
}

function AISMN_CheckForThreat::Update(%this,%obj)
{
   if(ThreatExists(%obj))
      ReturnValue(%obj,1);
   else
      ReturnValue(%obj,0);
   return;
}